Bug 253818 - Need to allow FHS opt layout for perldir and propertydir
Need to allow FHS opt layout for perldir and propertydir
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
:
Depends On:
Blocks: 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-08-22 01:04 EDT by Nathan Kinder
Modified: 2015-12-07 12:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 12:04:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (1.40 KB, patch)
2007-08-22 01:04 EDT, Nathan Kinder
no flags Details | Diff

  None (edit)
Description Nathan Kinder 2007-08-22 01:04:35 EDT
The filesystem layout that the Directory Server uses for it's perldir and
propertydir in the build system don't work when using the --with-fhs-opt option
to build both ldapserver and adminserver.

The attached diffs correct this issue.  Noriko has reviewed and tested my
changes as well, as noted in this e-mail snippet from her:

=====================================
I've made exact the same change on configure.ac and ran a quick test on hound. 
It worked fine.

I've approved (and tested) your ldapserver configure.ac diff.  Check it in! ;)
=====================================
Comment 1 Nathan Kinder 2007-08-22 01:04:35 EDT
Created attachment 162027 [details]
CVS Diffs
Comment 2 Nathan Kinder 2007-08-22 01:12:51 EDT
Checked into ldapserver (HEAD).  Thanks to Noriko for her review!

Checking in configure;
/cvs/dirsec/ldapserver/configure,v  <--  configure
new revision: 1.62; previous revision: 1.61
done
Checking in configure.ac;
/cvs/dirsec/ldapserver/configure.ac,v  <--  configure.ac
new revision: 1.37; previous revision: 1.36
done
Comment 3 Nathan Kinder 2007-12-21 14:36:32 EST
Verified that property files are being placed in /opt/dirsrv/share/properties
and perl modules are placed in /opt/dirsrv/lib/perl on HP-UX.  This is a bit
different than the paths implemented in this bug, but this was done on purpose
after receiving feedback that paths such as /opt/dirsrc/lib/dirsrv/perl were
redundant.

Marking as VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.